### Struct

# Gio StaticResource

#### Description [src]

    struct GStaticResource {
      /* No available fields */
    }

`GStaticResource` is an opaque data structure and can only be accessed using the following functions.

#### Instance methods

###### g_static_resource_fini

Finalizes a `GResource` initialized by `g_static_resource_init()`.

since: 2.32

###### g_static_resource_get_resource

Gets the `GResource` that was registered by a call to `g_static_resource_init()`.

since: 2.32

###### g_static_resource_init

Initializes a `GResource` from static data using a `GStaticResource`.

since: 2.32